import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Authorizes the Shield Response Team (SRT) to use email and phone to notify contacts about escalations to the SRT and to initiate proactive customer support.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-shield-proactiveengagement.html">the AWS Docs</a>
*/
export function proactiveEngagement(proactiveEngagementProps) {
    return new AwsResource('AWS::Shield::ProactiveEngagement', proactiveEngagementProps, { AccountId: 'AccountId' });
}
